linker errors when compiling and linking with a new glibc

Daniel De La Zerda ddelazerda007@yahoo.com
Wed Mar 18 20:51:00 GMT 2009




I'm modifying the same glibc version as the one on my system. Where in my "glibc-2.4-build" tree should I place that shared object? Top of the tree (same place where the libc.so is located)? Again, I have not installed my modified glibc because I want to make sure it works before I do that. I ran "make tests" and it fails on "nptl/tst-mutex8.c" for the same reason - "libgcc_s.so.1 must be installed for pthread_cancel to work".

Thanks for the help.

Daniel


----- Original Message ----
From: Petr Baudis <pasky@suse.cz>
To: Daniel De La Zerda <danieldelazerda@gmail.com>
Cc: Ryan Arnold <ryan.arnold@gmail.com>; libc-help@sourceware.org
Sent: Wednesday, March 18, 2009 4:30:08 PM
Subject: Re: linker errors when compiling and linking with a new glibc

  Hi,

On Wed, Mar 18, 2009 at 01:04:24PM -0700, Daniel De La Zerda wrote:
> What about the error "libgcc_s.so.1 must be installed for pthread_cancel to work"? Does anyone have an idea why is this the case?
> 
> Thanks for the link on the wiki.

  one random idea: Are you modifying the same or similar glibc version
as the one your system has been built around?

  If you are using non-default installation path, copy over
/lib/libgcc_s.so.1 to the appropriate library directory.

                Petr "Pasky" Baudis



      



More information about the Libc-help mailing list